%%

parameters_green

global Fstall kont1 kof1 Fb koff_catch kc vu fm1 konv nc nm mr intadd dint1 ion 
global dist disc a

nc = size(structs{dist,1},2);
nm = nc;
a = rad_range(disc);

kont1 = 0.005; 
dint1 = 300; % Density of integrin molecules, type 1 (integrins/um2)
dint2 = 0;   % Density of integrin molecules, type 2 (integrins/um2)
kof1 = 0.000368; % Off-rate slip pathway (1/s)
Fb = 7.168;      % Characteristic bond rupture force (pN)
koff_catch = 2;  % Off-rate catch pathway (1/s)
konv = 1e8;
kc = 10;
vu = 110;
fm1 = 2; 
mr = 300 * 50;
intadd = 24;
ion = 'Beng_catch';

Fstall = nm.*fm1; %Stall force of the system 








