%%

global offset linker_size uniform_rigid_size_unit init_fold
global Rod_contour_length Rod_K0_unfold Rod_K0_refold Rod_D_unfold Rod_D_refold


offset                  = 10; % talin head (which behaves as a stiff part)
linker_size             = 40; % contour length of flexible talin neck (follows WLC)
uniform_rigid_size_unit = 5;  % mean domain size of folded domains (maximum length that they reach with FJC)
init_fold               = 0;  % for FJC the endend length of folded domain at F=0 must be zero 
                              % (but biologically should be 1.25 nm)
  
Rod_contour_length=[69.2 52.4 49.6 52.4 64 60.4 91.6 66.8 63.2 66.4 62.8 ];% in units of nm, calculated by 0.4 nm per residue and number of residues in each talin alpha-helix bundle
Rod_K0_unfold=[4.2E-6 1.7E-8 0.018 4.2E-6 2.5E-5 2.5E-5 4.2E-06 4.2E-6 2.5E-5 2.5E-5 1.7E-8];% in units of  s^-1, zero force unfolding rates from Table 1
Rod_K0_refold=[0.11 0.019 22.2 0.46 1.0 1.0 0.39 0.93 0.93 0.93 0.93 ]; % in units of s^-1, zero force refolding rates from Table 1
Rod_D_unfold=[3.1 3.40 5.7 3.1 4.1 4.1 3.1 3.1 4.1 4.1 3.40];% in units of nm, the unfolding transition distance from Table 1
Rod_D_refold=[18.2 12.5 15.5 4.4 15.7 15.7 13.3 14.5 14.5 14.5 14.5 ]; % in units of nm, the dimension of transition state in refolding from Table 1






