%% Compute the rates of unfolding for a range of force values

parameters_rod;

ff=[0.01:0.1:10 10:1:100]; %force range to compute force dependent rates
K_2_1_f_spline=cell(size(Rod_K0_refold));

for k=1:length(ff)
K_2_1_f_values(k,:)=arrayfun(@talin_domain_kf_f1,ones(size(Rod_K0_refold)).*double(ff(k)),Rod_K0_refold,Rod_D_refold,Rod_contour_length);
end
for j=1:length(Rod_K0_refold)
K_2_1_f_spline{j}=spline(ff,K_2_1_f_values(:,j));
end
K_2_1_f_f=@(f) cellfun(@ppval,K_2_1_f_spline,num2cell(ones(size(Rod_K0_refold)).*(f)));

save K_2_1_f_f.mat K_2_1_f_f;






