function forcerates=talin_domain_kf_f1(f,k0,L0,L2,unf_fit)
%%
n_tmp=10000;
f_0=1000;

Kt=4.1;
A=0.8;

xf0=@(f) (L0.*coth(f.*L0./Kt)-Kt./f).*(1+f./f_0);

% Reverse function of force-extension for each domain i2
% unf-Fit is computed and fitted with linear interpolation in 
%         fitted_talin_domain_kf_f1.m
xf2=@(f) unf_fit(f);

% force dependent folding rate......with Arrenius law
forcerates= k0.*exp(-(integral(xf2,0,f,'ArrayValued',true)-integral(xf0,0,f,'ArrayValued',true))./Kt); 









